Bug 1606827 - m2crypto: FTBFS in Fedora rawhide
Summary: m2crypto: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: m2crypto
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS F30FTBFS PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:49 UTC by Mohan Boddu
Modified: 2019-07-31 22:40 UTC (History)
6 users (show)

Fixed In Version: m2crypto-0.35.2-1.fc30 m2crypto-0.35.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 04:07:02 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-20 21:49 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 21:49 UTC, Mohan Boddu
no flags Details
state.log (627 bytes, text/plain)
2018-07-20 21:49 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 21:49:34 UTC
m2crypto failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28397639


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix m2crypto at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
m2crypto will be orphaned. Before branching of Fedora 30,
m2crypto will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:49:41 UTC
Created attachment 1469358 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 21:49:46 UTC
Created attachment 1469359 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:49:49 UTC
Created attachment 1469360 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:45:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Neal Gompa 2019-04-13 15:07:29 UTC
There's a PR to address this: https://src.fedoraproject.org/rpms/m2crypto/pull-request/2

Comment 6 Miro Hrončok 2019-04-29 05:26:29 UTC
m2crypto doesn't build with Python 3.8.
Please merge that PR.

Comment 7 Fedora Release Engineering 2019-05-05 17:45:11 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Miro Hrončok 2019-05-11 23:27:40 UTC
Please respond.

Comment 9 Miro Hrončok 2019-05-20 11:10:11 UTC
asking again for a response

Comment 10 Petr Viktorin 2019-05-28 13:39:24 UTC
Asking again for a response.

Comment 11 Miloslav Trmač 2019-05-29 21:10:07 UTC
Sorry about the late response; I only have very marginal time left for Fedora.  I will be giving up the m2crypto package; Neil Gompa has offered to co-maintain it in https://src.fedoraproject.org/rpms/m2crypto/pull-request/2, so maybe he would be willing to own it.

Comment 12 Miro Hrončok 2019-05-29 22:38:29 UTC
Unfortunately, there is another failure with Python 3.8: bz1715243

Comment 13 Fedora Release Engineering 2019-06-03 21:41:00 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 14 Neal Gompa 2019-06-04 02:11:14 UTC
It's being worked on...

Comment 15 Fedora Update System 2019-06-25 02:47:44 UTC
FEDORA-2019-79f7935107 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-79f7935107

Comment 16 Fedora Update System 2019-06-26 04:07:02 UTC
m2crypto-0.35.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-06-26 04:11:05 UTC
m2crypto-0.35.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.